{
  "type": "minecraft:entity",
  "pools": [
    {
      "rolls": 1,
      "entries": [
        {
          "type": "minecraft:loot_table",
          "value": "minecraft:entities/husk"
        }
      ]
    },
    {
      "rolls": 1,
      "entries": [
        {
          "type": "minecraft:loot_table",
          "value": "survivalplus:ankhcharm",
          "conditions": [
            {
              "condition": "minecraft:any_of",
              "terms": [
                {
                  "condition": "minecraft:entity_properties",
                  "entity": "attacking_player",
                  "predicate": {
                    "nbt": "{Tags:[luckyfoot]}"
                  }
                },
                {
                  "condition": "minecraft:entity_properties",
                  "entity": "attacking_player",
                  "predicate": {
                    "nbt": "{Inventory:[{components:{\"minecraft:custom_data\":{luck:tag}}}]}"
                  }
                }
              ]
            },
            {
              "condition": "minecraft:random_chance",
              "chance": 0.15
            }
          ]
        }
      ]
    },
    {
      "rolls": 1,
      "entries": [
        {
          "type": "minecraft:item",
          "name": "minecraft:gold_nugget"
        }
      ],
      "functions": [
        {
          "function": "minecraft:set_count",
          "count": {
            "min": 0,
            "max": 2
          }
        }
      ],
      "conditions": [
        {
          "condition": "minecraft:location_check",
          "predicate": {
            "biomes": "#minecraft:has_structure/mineshaft_mesa"
          }
        }
      ]
    }
  ]
}